Results 1 to 16 of 16

Thread: not able to compile exim

  1. #1
    Join Date
    Mar 2012
    Posts
    11

    not able to compile exim

    Hi,
    my error as follows:
    Please install ExtUtils::Embed for /usr/bin/perl
    grep: Makefile: No such file or directory
    Missing CFLAGS_DYNAMIC inhibits building dynamic module lookup
    ../scripts/lookups-Makefile: line 115: lookups/Makefile.predynamic: No such file or directory

    i tried hunting for a solution high and low but can't seem to find any. i can't install the perl module through cpan. anybody has a resolution to it?

    the weird thing is i already installed ExtUtils::Embed via source and it shows up in the Perl modules in the control panel.

  2. #2
    Join Date
    Oct 2004
    Location
    London, UK
    Posts
    6,641
    Try install: perl-ExtUtils-Embed.

    Regards
    SeLLeRoNe - Andrea Iannucci
    DevOps Engineer - System Administrator
    If you need my support write me an E-Mail to Support@CrazyNetwork.it

  3. #3
    Join Date
    Mar 2012
    Posts
    11
    hi,
    there's no such package in debian.
    i read a page in help.directadmin.com before coming here.
    thanks.

  4. #4
    Join Date
    Oct 2004
    Location
    London, UK
    Posts
    6,641
    What are you using for compile exim? Source or custombuild? Have you read this http://help.directadmin.com/item.php?id=125 ?

    Regards
    SeLLeRoNe - Andrea Iannucci
    DevOps Engineer - System Administrator
    If you need my support write me an E-Mail to Support@CrazyNetwork.it

  5. #5
    Join Date
    Mar 2012
    Posts
    11
    yes i tried that too.
    i'm stucked at ./build exim.
    the error as show in the first post.

    i even tried installing via source following this:
    http://help.directadmin.com/item.php?id=396

  6. #6
    Join Date
    Oct 2004
    Location
    London, UK
    Posts
    6,641
    mmmh, that's strange, why you cant install via cpan?

    Regards
    SeLLeRoNe - Andrea Iannucci
    DevOps Engineer - System Administrator
    If you need my support write me an E-Mail to Support@CrazyNetwork.it

  7. #7
    Join Date
    Mar 2012
    Posts
    11
    Running install for module 'ExtUtils::Embed'
    CPAN: Data::Dumper loaded ok (v2.124)
    'YAML' not installed, falling back to Data::Dumper and Storable to read prefs '/root/.cpan/prefs'
    The most recent version "1.30" of the module "ExtUtils::Embed"
    is part of the perl-5.15.4 distribution. To install that, you need to run
    force install ExtUtils::Embed --or--
    install F/FL/FLORA/perl-5.15.4.tar.gz
    CPAN: Time::HiRes loaded ok (v1.9719)
    Running make test
    Can't test without successful make
    Running make install
    Make had returned bad status, install seems impossible

  8. #8
    Join Date
    Mar 2012
    Posts
    11
    pal, i really appreciate your help but i had really tried all available methods on both help.directadmin.com, this forum and google. none gave me an answer that's why i post it here.

  9. #9
    Join Date
    Oct 2004
    Location
    London, UK
    Posts
    6,641
    Well it say you need to update perl or force it, so.. lets force it...

    Code:
    echo "no"  | /usr/bin/perl -MCPAN -e "CPAN::Shell->force(qw(install ExtUtils::Embed));"
    Regards
    SeLLeRoNe - Andrea Iannucci
    DevOps Engineer - System Administrator
    If you need my support write me an E-Mail to Support@CrazyNetwork.it

  10. #10
    Join Date
    Mar 2012
    Posts
    11
    this will in turn install perl 5.15.4? no?
    i read that it's not for production purpose. anyway i'm trying to see how it turns out.
    thanks.

  11. #11
    Join Date
    Oct 2004
    Location
    London, UK
    Posts
    6,641
    No, it will not update perl, it will force current perl to install ExtUtils::Embed using CPAN.

    Regards
    SeLLeRoNe - Andrea Iannucci
    DevOps Engineer - System Administrator
    If you need my support write me an E-Mail to Support@CrazyNetwork.it

  12. #12
    Join Date
    Mar 2012
    Posts
    11
    Quote Originally Posted by SeLLeRoNe View Post
    Well it say you need to update perl or force it, so.. lets force it...

    Code:
    echo "no"  | /usr/bin/perl -MCPAN -e "CPAN::Shell->force(qw(install ExtUtils::Embed));"
    Regards
    did this but still failed. error:

    CPAN: File::Temp loaded ok (v0.22)
    CPAN: Time::HiRes loaded ok (v1.9719)

    CPAN.pm: Going to build F/FL/FLORA/perl-5.15.4.tar.gz

    Say 'sh Configure', not 'sh <Configure'
    Warning: No success on command[/root/.cpan/build/perl-5.15.4-sndfZL/Configure]
    Warning (usually harmless): 'YAML' not installed, will not store persistent state
    FLORA/perl-5.15.4.tar.gz
    /root/.cpan/build/perl-5.15.4-sndfZL/Configure -- NOT OK
    Running make test
    Make had some problems, won't test
    Running make install
    Make had some problems, won't install
    Could not read '/root/.cpan/build/perl-5.15.4-sndfZL/META.yml'. Falling back to other methods to determine prerequisites

  13. #13
    Join Date
    Oct 2004
    Location
    London, UK
    Posts
    6,641
    mmmh dont get why still try to build perl.. but maybe you really need to update it... honestly ive no more ideas...

    Sorry
    SeLLeRoNe - Andrea Iannucci
    DevOps Engineer - System Administrator
    If you need my support write me an E-Mail to Support@CrazyNetwork.it

  14. #14
    Join Date
    Mar 2012
    Posts
    11
    yeah thanks for your offer to help.
    i guess i'll wait a bit till someone encounters the same trouble and hopefully a fix be out by then.

  15. #15
    Join Date
    Apr 2007
    Posts
    22
    apt-get install libperl-dev

  16. #16
    Join Date
    Mar 2012
    Posts
    11
    yeap. installed but still not working. thanks.

Similar Threads

  1. PHP can't compile
    By Manuel in forum FreeBSD
    Replies: 14
    Last Post: 12-18-2010, 03:41 PM
  2. Can't compile php 5.3.3?
    By chr1831 in forum System-Level Technical Discussion
    Replies: 11
    Last Post: 08-22-2010, 11:45 AM
  3. PHP can't compile
    By bkent in forum Off-Topic Discussion
    Replies: 3
    Last Post: 05-11-2010, 08:10 PM
  4. PHP won't compile!
    By Tarball in forum General Technical Discussion & Troubleshooting
    Replies: 10
    Last Post: 10-05-2007, 12:52 AM
  5. PHP won't compile
    By Brenden in forum FreeBSD 4.x
    Replies: 3
    Last Post: 02-21-2004, 06:31 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •